<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- (C) 2010 Matthias Lüttgert, ENDA GmbH &amp; Co. KG -->
<!-- Das bBIS XML Austauschformat Schema wird unter den Bestimmungen der GNU General Public Licence Vers. 3 oder höher publiziert.  -->
<!-- Rev. 3.0.0, 2010-09-27 -->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:rb="http://xml.enda.eu/bbis"
	targetNamespace="http://xml.enda.eu/bbis" elementFormDefault="qualified"
	attributeFormDefault="unqualified">
	<xs:annotation>
		<xs:documentation>Rev. 3.0.0, 2010-09-27, ENDA GmbH &amp; Co. KG</xs:documentation>
	</xs:annotation>
	<xs:complexType name="Int">
		<xs:simpleContent>
			<xs:extension base="xs:int">
				<xs:attributeGroup ref="rb:BaseAttributes"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>
	<xs:complexType name="Bool">
		<xs:simpleContent>
			<xs:extension base="xs:boolean">
				<xs:attributeGroup ref="rb:BaseAttributes"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>
	<xs:complexType name="Float">
		<xs:simpleContent>
			<xs:extension base="xs:double">
				<xs:attributeGroup ref="rb:BaseAttributes"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>
	<xs:complexType name="String">
		<xs:simpleContent>
			<xs:extension base="xs:string">
				<xs:attributeGroup ref="rb:BaseAttributes"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>
	<xs:complexType name="ShortText">
		<xs:simpleContent>
			<xs:restriction base="rb:String">
				<xs:maxLength value="255"/>
			</xs:restriction>
		</xs:simpleContent>
	</xs:complexType>
	<xs:complexType name="Date">
		<xs:simpleContent>
			<xs:restriction base="rb:String">
				<xs:pattern value="[0-9]{4}-[0-9]{2}-[0-9]{2}"/>
			</xs:restriction>
		</xs:simpleContent>
	</xs:complexType>
	<xs:complexType name="Time">
		<xs:simpleContent>
			<xs:restriction base="rb:String">
				<xs:pattern
					value="([0-9]{2}:[0-9]{2}|[0-9]{4}-[0-9]{2}-[0-9]{2}|[0-9]{4}-[0-9]{2}-[0-9]{2} [0-9]{2}:[0-9]{2}(:[0-9]{2}(\.[0-9]{3})?)?)"
				/>
			</xs:restriction>
		</xs:simpleContent>
	</xs:complexType>
	<xs:complexType name="Blob">
		<xs:simpleContent>
			<xs:extension base="xs:base64Binary">
				<xs:attribute name="fileName" type="xs:string" use="required"/>
				<xs:attributeGroup ref="rb:BaseAttributes"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>
	<xs:complexType name="InstanceReference">
		<xs:simpleContent>
			<xs:extension base="xs:string"/>
		</xs:simpleContent>
	</xs:complexType>
	<xs:complexType name="SubinstanceReference">
		<xs:simpleContent>
			<xs:extension base="xs:string">
				<xs:attribute name="referenceInstanceID" type="xs:string" use="optional"/>
				<xs:attribute name="referenceSubinstanceID" type="xs:string" use="optional"/>
				<xs:attribute name="xpath" type="xs:string" use="optional"/>
				<xs:attributeGroup ref="rb:BaseAttributes"/>
			</xs:extension>
		</xs:simpleContent>
	</xs:complexType>
	<xs:complexType name="LargeList" mixed="false">
		<xs:sequence>
			<xs:any processContents="lax" maxOccurs="unbounded"/>
		</xs:sequence>
		<xs:attributeGroup ref="rb:BaseAttributes"/>
	</xs:complexType>
	<xs:attributeGroup name="BaseAttributes"/>
	<xs:attributeGroup name="InstanceAttributes">
		<xs:attribute name="ID" type="xs:string" use="required"/>
		<xs:attribute name="Beschreibung" type="xs:string" use="optional"/>
	</xs:attributeGroup>
</xs:schema>
